## Redundant Half-Life Data

Much life Half-Life, the Pak files should be restored. However, I would like to point out an issue in live Blue Shift on Steam.

There's HL data that Blue Shift should actually just call back to the Valve dir for. Blue Shift originally provided a stripped down pak0.pak to compensate for the fact that it was a standalone expansion. When Blue Shift was brought to Steam, all 3 Pak files were extracted, resulting in the content from pak0.pak being provided too despite the fact that Blue Shift also reads from the Valve dir.

If Pak files aren't restored, then the HL content needs to be stripped out of the build.

If Pak files are restored, then pak0.pak and other select files (such as WADs) should be withheld.

The following files from the original Blue Shift install are redundant and are a match with HL:

```
media/DrvPage/default.htm
media/DrvPage/lambda.gif
media/launch_deny1.wav
media/launch_deny2.wav
media/launch_dnmenu1.wav
media/launch_glow1.wav
media/launch_select1.wav
media/launch_select2.wav
media/launch_upmenu1.wav
media/sierra.avi
default.cfg
gfx.wad
halflife.wad
liquids.wad
listenserver.cfg
profile.lst
rooms.lst
server.cfg
user.scr
woncomm.lst
xeno.wad
```

decals.wad could be stripped down as it contains a complete clone of all HL decals but introduces some new decals.

media/sierra.avi is also provided in the Steam release and it shouldn't be as Sierra and its logo are property of Activision.

## Blue Shift patch not fully provided with Steam HL

The official Blue Shift patch provides a patch to the following files:
```
Blue-Shift\bshift\dlls\hl.dll
Blue-Shift\bshift\maps\graphs\ba_yard5.nod
Blue-Shift\bshift\maps\ba_yard5.bsp
Blue-Shift\hw.dll
Blue-Shift\sw.dll
```

The Steam version wouldn't need to worry about hl.dll, hw.dll, or sw.dll. The Steam version also provides the up to date ba_yard5.bsp, but not its matching node graph. This will result in the game rebuilding the node graph on that map in particular.

If the Pak files are restored, these 2 files would also have to be provided.

## Incorrect Blue Shift icon

This is massive low hanging fruit, but for whatever reason when Blue Shift shipped on Steam in 2005 the icon was entirely redone. While it doesn't matter much to change it on Steam (as all games have differing icons,) the game.ico/tga should either not be provided or should be swapped out with the valid Blue Shift icon.