# Half-Life 2: Deathmatch - Issues

Here's a list of things that we'd fix in Half-Life 2: Deathmatch, given the opportunity.

## Custom Player Models

The game needs support for custom player models. Half-Life's multiplayer had it.
Currently the community has to override existing models.
The implemented behaviour should be the same as HL1's multiplayer.
You don't have to rely on the server distributing them either, you can use a fallback model.

## HUD Weapon Selection Quirk

![#1](hl2dm_1.jpg) ![#2](hl2dm_2.jpg)

Stunstick and S.L.A.M. both result in a massive gap in the inventory which is an inconsistency and an eye-sore.

## Lack of Workshop support

Self explanatory. Even if it's solely sharing custom maps.

## VGUI textures busted

The engine branch that HL2:DM is on is unable to read those resources, resulting
in the iconic missing-texture from appearing in the options menu.

```
*** Encountered VTF file with an invalid minor version!
*** Encountered VTF file with an invalid full header!
Error reading texture header "materials/vgui/resource/mic_meter_dead.vtf"
*** Encountered VTF file with an invalid minor version!
*** Encountered VTF file with an invalid full header!
Error reading texture header "materials/vgui/resource/mic_meter_live.vtf"
```

## Store Page has screenshots that do not depict maps included in the game

They should at least be available on the Workshop we propose... :)