# Half-Life 2 - Issues

Here's a list of things that we'd fix in Half-Life 2, given the opportunity.

## LDR mode renders some maps (e.g. coast levels) fullbright

If the LDR lightmap mode is not supported, it should be disabled. We'd prefer to fix it however, because some people don't enjoy the tone mapping very much.

Supposedly the maps will have to be recompiled with a fixed build of the compiling tools, as they have bugs in regards to LDR?

## C17 Strider Crash

It's possible to create a save game with a strider during the City 17 battle that locks up the game. It's not exactly clear what happens that causes it but a save-game that will crash within seconds of loading can be found [here](c17-strider-crash.zip)


## Linux: `buildcubemaps` = crash

It should not crash. And it should work.

## Bug: Bloom setting does not appear to do anything

See title.